(Solved: Voxy Incompatibility with Iris 1.7) Client crashes when trying to join world.

My client instantly crashes when attempting to join the world / single player with the same mods. Could anyone help me with which mod is causing the conflict with Iris please. (disabling Iris avoids the crash) https://mclo.gs/Gy39CU5
8 Replies
hardester
hardester2mo ago
Better Clouds have yet to be updated to support Iris 1.7. You may want to remove Better Clouds if you want to continue playing, or wait for an updated version of it.
DMT
DMT2mo ago
Oh I see, thank you so much! Would you mind guiding me on how you tell which mod it is causing the issue from the logs if it's not too much to type out? I'd like to learn how to diagnose it myself for the future. I managed to work out Iris was part of the problem from the logs but must have missed better clouds in there. I disabled better clouds but it still crashed. https://mclo.gs/mxEIGNC
hardester
hardester2mo ago
The line that says Better Clouds failing to bind with Iris: https://mclo.gs/Gy39CU5#L481
mclo.gs
Fabric 1.20.4 Client Log [#Gy39CU5]
1513 lines | 32 errors
hardester
hardester2mo ago
Let me check this one.
hardester
hardester2mo ago
Apparently this one is caused by Voxy. https://mclo.gs/mxEIGNC#L1136
mclo.gs
Fabric 1.20.4 Client Log [#mxEIGNC]
1485 lines | 31 errors
hardester
hardester2mo ago
In this log, there are multiple errors, but seems like Voxy is the one that triggers the crash. Assuming Voxy hasn't updated to work with Iris 1.7, try removing it and see if it works.
DMT
DMT2mo ago
Will test that now. That seems to have solved it. Thank you for the help.
hardester
hardester2mo ago
:haha_yes: